Last Comment Bug 786316 - Save As Template should correctly manage multiple selections
: Save As Template should correctly manage multiple selections
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.20
Assigned To: Ian Neal
:
Mentors:
Depends on: 786200
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 09:39 PDT by Ian Neal
Modified: 2013-05-02 14:49 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Allow saving of multiple templates (2.77 KB, patch)
2013-03-24 10:40 PDT, Ian Neal
mnyromyr: review+
mnyromyr: superreview+
Details | Diff | Splinter Review
Allow saving of multiple templates with backwards compatibility [Checked in: Comment 5] (2.95 KB, patch)
2013-05-02 14:45 PDT, Ian Neal
iann_bugzilla: review+
iann_bugzilla: superreview+
Details | Diff | Splinter Review

Description Ian Neal 2012-08-28 09:39:08 PDT
At the moment Save As Template cannot deal with multiple selections, it only saves the first one selected.
Comment 1 Ian Neal 2013-03-24 10:40:41 PDT
Created attachment 728754 [details] [diff] [review]
Allow saving of multiple templates
Comment 2 Philip Chee 2013-03-26 11:57:13 PDT
> -function SaveAsTemplate(uri)
> +function SaveAsTemplate(aUris)
Might want backward compatibility to support TB extensions since TB only takes one. e.g.

if (typeof aUris == "String")
  aUris = [a Uris];
Comment 3 Karsten Düsterloh 2013-04-23 13:34:20 PDT
Comment on attachment 728754 [details] [diff] [review]
Allow saving of multiple templates

>+  for (let i = 0; i < num; i++)
>   {
>+    var uri = aUris[i];

Despite the context, I'd prefer using "let" here.

Also, please consider Philip's suggestion, including a respective comment.

r/moa=me with that.

Sorry for the delay. :-(
Comment 4 Ian Neal 2013-05-02 14:45:43 PDT
Created attachment 744833 [details] [diff] [review]
Allow saving of multiple templates with backwards compatibility [Checked in: Comment 5]
Comment 5 Ian Neal 2013-05-02 14:48:31 PDT
Comment on attachment 744833 [details] [diff] [review]
Allow saving of multiple templates with backwards compatibility [Checked in: Comment 5]

https://hg.mozilla.org/comm-central/rev/825c641f6e2a

Note You need to log in before you can comment on or make changes to this bug.